<div class="renseigneFormInside">
    <div style="clear:both">
        <a class="btn btn-xs btn-default" href="#" onclick="sendData('sysma_action_id={{V.sysma_action_id}}&parameter_id={{V.parameter_id}}&data_type={{V.parameter.dataType}}&sysma_object_id={{sysma_object_id}}', '{{url('sysma-action-parameter-value')}}', 'renseigneFormTr{{V.sysma_action_id}}{{V.parameter_id}}', event);"><span class="glyphicon glyphicon-remove"></span> Annuler</a>
    </div>


    <h2>Renseignement de la value <strong>{{ V.parameter.parameter|raw }} </strong></h2>

    <form method="post" action="#"  id="FormTr{{ V.sysma_action_id }}{{ V.parameter_id }}">


        <div class="form-group">

            <label>Valeur : </label>

            {% if (V.parameter.dataType == 'booleanType') %}
                <select name="value" class="form-control" >
                    <option value="1">Oui</option>
                    <option value="0">Non</option>
                </select>

            {% elseif V.parameter.dataType == 'textChoiceType' %}
                {% set details =  null %} 
                <select name="value" class="form-control" >
                    {% for choice in V.choicesArray %}
                        <option value="{{ choice.choice }}">{{ choice.choice|raw }}

                            {% if choice.description != null %}
                                {% set details = details ~ '<li><u>' ~ choice.choice ~ '</u> : ' ~ choice.description ~ '</li>' %}
                            {% endif %}
                        </option>
                    {% endfor %}
                </select>

            {% elseif V.parameter.dataType == 'multipleTextChoiceType' %}
                {% set details = null %} 
                <br>
                {% for choice in V.choicesArray %}

                    <input type="checkbox" value="1" name="choice{{ choice.choice_id }}" /> {{ choice.choice|raw }}<br/>
                    {% if choice.description != null %} 
                        {% set details = details ~ '<li><u>' ~ choice.choice ~ '</u> : ' ~ choice.description ~ '</li>' %}
                    {% endif %}
                {% endfor %}

            {% elseif V.parameter.dataType == 'hyperlink' %}
				<input class="form-control" name="value" value="" id="inputAction{{ V.sysma_action_id }}Parameter{{ V.parameter_id }}" onkeyup="checkHyperLink(this.value, 'Action{{ V.sysma_action_id }}Parameter{{ V.parameter_id }}')"/>

				<div id="commentAction{{ V.sysma_action_id }}Parameter{{ V.parameter_id }}">
				</div>  

            {% elseif V.parameter.dataType == 'sysmaObjectLinkType' %}

				<input class="form-control" style="float:right;max-width:50%" onkeyup="sendData('search='+$('#sysmaObjectLinkTypeSearch').val()+'&data_type=sysmaObjectLinkType&data_index={{indexDonnee }}&sysma_object_id={{sysma_object_id}}&parameter_id={{V.parameter_id}}','{{url('sysma-object-link-type-parameter-value-modification')}}','sysmaObjectLinkTypeSelect',null)" placeholder="Rechercher dans la liste..." id="sysmaObjectLinkTypeSearch"/><br>

				<div id="sysmaObjectLinkTypeSelect">
					<select name="value" class="form-control">
						{% for l in V.linkedObjectsList|default(null) %}
							<option value="{{ l.name~' ['~l.id~']' }}">{{ l.name~' ['~l.id~']'|raw }}
							</option>
						{% endfor %}
					</select>
				</div>

            {% elseif V.parameter.dataType == 'longTextType' %}
                <textarea class="form-control"  name="value" style="width:90%;"></textarea>

             {% elseif V.parameter.dataType == 'integerType' %}
                <input type="number"  step="1" class="form-control"  name="value" value=""  id="inputAction{{ V.sysma_action_id }}Parameter{{ V.parameter_id }}" onkeyup="checkInteger(this, 'Action{{ V.sysma_action_id }}Parameter{{ V.parameter_id }}')"/>

				<div id="commentAction{{ V.sysma_action_id }}Parameter{{ V.parameter_id }}">
				</div>     

            {% elseif V.parameter.dataType == 'floatType' %}
                 <input class="form-control"  name="value" value=""  id="inputAction{{ V.sysma_action_id }}Parameter{{ V.parameter_id }}" onkeyup="checkFloat(this, 'Action{{ V.sysma_action_id }}Parameter{{ V.parameter_id }}')"/>

				<div id="commentAction{{ V.sysma_action_id }}Parameter{{ V.parameter_id }}">
				</div>  

            {% elseif V.parameter.dataType == 'dayMonthYearDateType' %}
                <input type="date" class="form-control"  name="value" value=""  />

            {% elseif V.parameter.dataType == 'monthYearDateType' %}
                <input type="month" class="form-control"  name="value" value=""  />

            {% else %}
                <input class="form-control"  name="value" value="" />
            {% endif %}  

        </div>



        <button class="btn btn-primary" id="buttonAction{{ V.sysma_action_id }}Parameter{{ V.parameter_id }}"

                {% if V.parameter.dataType != 'multipleTextChoiceType' %}
                    onClick="sendFormAndRedirect('FormTr{{ V.sysma_action_id }}{{ V.parameter_id }}', '{{ url('sysma-action-parameter-value-create-commit')}}', 'sysma_action_id={{V.sysma_action_id}}&parameter_id={{V.parameter_id}}&data_type={{V.parameter.dataType}}&sysma_object_id={{sysma_object_id}}', '{{ url('sysma-action-parameter-value')}}', 'renseigneFormTr{{ V.sysma_action_id }}{{ V.parameter_id }}', event);"
                {% else %}
                    onClick="sendFormAndRedirect('FormTr{{ V.sysma_action_id }}{{ V.parameter_id }}', '{{ url('sysma-action-parameter-multiple-value-create-commit')}}', 'sysma_action_id={{V.sysma_action_id}}&parameter_id={{V.parameter_id}}&data_type={{V.parameter.dataType}}&sysma_object_id={{sysma_object_id}}', '{{ url('sysma-action-parameter-value')}}', 'renseigneFormTr{{ V.sysma_action_id }}{{ V.parameter_id }}', event);"
                {% endif %}  
                >Renseigner</button>




         {% if details|default(null) != null %} 
            <div id="detailsChoix">
                <p class="text-right">
                    <a class="btn btn-xs btn-default" role="button" data-toggle="collapse" href="#collapseDetails{{ indexDonnee }}" aria-expanded="false" aria-controls="collapseExample">
                        Afficher les détails des choix
                    </a>
                </p>
                <div class="collapse" id="collapseDetails{{ indexDonnee }}">                   
                    <ul>
                        {{ details|raw }}
                    </ul>
                </div>
            </div>
        {% endif %}



        <input type="hidden" value="{{ V.parameter_id }}" name="parameter_id" />
        <input type="hidden" value="{{ V.sysma_action_id }}" name="sysma_action_id" />     
        <input type="hidden" value="{{ indexDonnee }}" name="data_index" />






    </form>
</div>

